Bug 443561 - FEAT: Match the new db schema of bz3.0 [#5 TABLE group_group_map]
FEAT: Match the new db schema of bz3.0 [#5 TABLE group_group_map]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
Yu Shao
:
Depends On:
Blocks: hwcert->BZ3_tracker
  Show dependency treegraph
 
Reported: 2008-04-22 04:25 EDT by XINSUN
Modified: 2008-08-04 13:56 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 13:56:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch to fix : 5.1 Delete the field isbless from table group_group_map (7.86 KB, patch)
2008-04-25 01:01 EDT, XINSUN
no flags Details | Diff
Patch improve: (10.13 KB, patch)
2008-04-29 06:42 EDT, XINSUN
no flags Details | Diff
Patch Improve: (9.60 KB, patch)
2008-04-29 11:34 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description XINSUN 2008-04-22 04:25:09 EDT
5.   Relate to TABLE group_group_map need to change list below:
         5.1 Delete  the field isbless from table group_group_map
                          Added :     N/A
                          Removed:    FIELD  group_group_map.isbless
Comment 1 XINSUN 2008-04-25 01:01:18 EDT
Created attachment 303736 [details]
The patch to fix : 5.1 Delete  the field isbless from table group_group_map

derive_groups () is used in the token.cgi, but seems the catalog didn't use
this cgi, so remove it simply.

UserCanBlessGroup() is used in the editusers.cgi and userprefs.cgi which didn't
exist in catalog, so remove it simply.

can_bless() is used in the template file :
"template/en/default/global/useful-links.html.tmpl" :

[% ' | <a href="editusers.cgi">Users</a>'     IF user.groups.editusers ||
user.can_bless %]  

but it is not used in the catalog, so remove it simply.

Best Regards!
Nicho
Comment 2 Noura El hawary 2008-04-28 01:19:17 EDT
Hi nicho ,

Patch looks good,, maybe it is a good idea also to remove code that calls the 2
subroutines that you removed from User.pm derive_groups() and can_bless(), as
you mentioned before it is in the following places for your quick reference:

./token.cgi:257:    $user->derive_groups;
./token.cgi:300:            $user->derive_groups;

./template/en/default/global/useful-links.html.tmpl:75:                        
                     || user.can_bless %]

Cheers,
Noura
Comment 3 XINSUN 2008-04-29 06:42:31 EDT
Created attachment 304097 [details]
Patch improve:

Remove below:
./token.cgi:257:    $user->derive_groups;
./token.cgi:300:	    $user->derive_groups;

./template/en/default/global/useful-links.html.tmpl:75: 		       

		     || user.can_bless %]

Pls review

Nicho
Comment 4 XINSUN 2008-04-29 11:34:36 EDT
Created attachment 304133 [details]
Patch Improve:
Comment 5 Noura El hawary 2008-04-30 22:00:31 EDT
Patch looks good, Thanks Nicho

Noura
Comment 6 Rob Landry 2008-07-17 17:03:18 EDT
Please commit this change to CVS and set the status to MODIFIED.
Comment 7 eric_liu 2008-08-01 07:38:34 EDT
tested and run good 

Note You need to log in before you can comment on or make changes to this bug.